"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var options_keys_1 = require("../../model/options.keys");
var plumber = require("gulp-plumber");
var gulp = require('gulp');
/**
 * Copy markdown files and package.json to outDir folder
 */
var CopyFilesToOutdirTask = /** @class */ (function () {
    function CopyFilesToOutdirTask() {
    }
    /**
     * Registring the task
     */
    CopyFilesToOutdirTask.prototype.registerTask = function (argv, onError, dependencies) {
        if (dependencies === void 0) { dependencies = []; }
        var taskName = 'copy-files-to-outdir-task';
        var filesToCopy = ['package.json', '*.md', '.gitignore', '.npmignore', 'LICENSE'];
        gulp.task(taskName, dependencies, function () {
            return gulp.src(filesToCopy)
                .pipe(plumber(onError))
                .pipe(gulp.dest(argv[options_keys_1.OptionsKeys.OUT_DIR]));
        });
        return taskName;
    };
    return CopyFilesToOutdirTask;
}());
exports.CopyFilesToOutdirTask = CopyFilesToOutdirTask;
//# sourceMappingURL=copy-files-to-outdir.task.js.map