"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var options_keys_1 = require("../../model/options.keys");
var main_1 = require("@angular/compiler-cli/src/main");
var logger_1 = require("../services/logger");
var gulp = require('gulp');
/**
 * Compile our typescript files with ngc
 */
var NgcCompileTask = /** @class */ (function () {
    function NgcCompileTask() {
    }
    /**
     * Registring the task
     */
    NgcCompileTask.prototype.registerTask = function (argv, onError, dependencies) {
        if (dependencies === void 0) { dependencies = []; }
        var taskName = 'compile-ngc';
        var ngcArguments = [argv[options_keys_1.OptionsKeys.OUT_DIR] + "/tsconfig-ngc.json"];
        logger_1.Logger.warning("\ngcArguments " + ngcArguments);
        logger_1.Logger.warning("\ndependencies " + taskName);
        gulp.task(taskName, dependencies, function (done) {
            logger_1.Logger.success("Dentro da task compile " + done);
            var exitCode = main_1.main(ngcArguments, logger_1.Logger.error);
            logger_1.Logger.warning("exitCode " + exitCode);
            /*.then((exitCode: number) =>
            {
                Logger.warning("exitCode " + exitCode);
                if (exitCode === 0)
                {
                    Logger.warning("exitCode 2 " + exitCode);
                    done();

                } else
                {
                    Logger.warning("onError 2 " + exitCode);
                    onError();

                }
            }).then(sucesso =>
                Logger.success("Sucesso ao executar task " + sucesso))
                .catch(erro => Logger.error("erro ao executar task " + erro)); */
        });
        return taskName;
    };
    return NgcCompileTask;
}());
exports.NgcCompileTask = NgcCompileTask;
//# sourceMappingURL=ngc-compile.task.js.map