"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var del = require("del");
var options_keys_1 = require("../../model/options.keys");
var logger_1 = require("../services/logger");
var gulp = require('gulp');
/**
 * Delete our dist folder before every run
 */
var DeleteDestFolderTask = /** @class */ (function () {
    function DeleteDestFolderTask() {
    }
    /**
     * Registring the task
     */
    DeleteDestFolderTask.prototype.registerTask = function (argv, onError, dependencies) {
        if (dependencies === void 0) { dependencies = []; }
        var taskName = 'delete-dest-folder-task';
        logger_1.Logger.warning("iniciando : " + taskName);
        gulp.task(taskName, dependencies, function () {
            return del([argv[options_keys_1.OptionsKeys.OUT_DIR]]).then(function (sucesso) {
                logger_1.Logger.success("finalizando :" + taskName);
            });
        });
        return taskName;
    };
    return DeleteDestFolderTask;
}());
exports.DeleteDestFolderTask = DeleteDestFolderTask;
//# sourceMappingURL=delete-dest-folder.task.js.map